Bug 612577 - Page fault in kmem_cache_alloc_node
Page fault in kmem_cache_alloc_node
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 10:44 EDT by Steven Rostedt
Modified: 2011-06-29 09:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Rostedt 2010-07-08 10:44:00 EDT
Description of problem:
While playing with a kvm guest, as I shut it down, the host gave the following
message:
BUG: unable to handle kernel paging request at ffff8e903767c630
IP: [<ffffffff810f5aca>] kmem_cache_alloc_node+0x121/0x12d
PGD 0 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/local_cpus
Dumping ftrace buffer:
   (ftrace buffer empty)
CPU 2 
Pid: 10960, comm: 0anacron Not tainted 2.6.33.5-124.fc13.x86_64 #1 To be filled by O.E.M./To Be Filled By O.E.M.
RIP: 0010:[<ffffffff810f5aca>]  [<ffffffff810f5aca>] kmem_cache_alloc_node+0x121/0x12d
RSP: 0018:ffff88003e7a5628  EFLAGS: 00010046
RAX: 0000000000000000 RBX: ffff8e903767c630 RCX: 0000000000000001
RDX: 0000000000000800 RSI: 00000000000006b7 RDI: 0000000000000108
RBP: ffff88003e7a5668 R08: ffff880001f12800 R09: ffff8800766ebec0
R10: 00000000016c71e8 R11: ffff88003e7a58c8 R12: ffff880076ebc000
R13: 00000000ffffffff R14: 0000000000008010 R15: ffffffff811f8ef0
FS:  00007fdc0a8a1700(0000) GS:ffff880001f00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffff8e903767c630 CR3: 000000004dc3f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process 0anacron (pid: 10960, threadinfo ffff88003e7a4000, task ffff88003c06c5f0)
Stack:
 0000801000000108 0000000000000246 0000000000000000 0000000000000000
<0> ffff880079cfe000 0000000000000000 ffff880079cfe038 0000000000000000
<0> ffff88003e7a5718 ffffffff811f8ef0 0000000000000003 ffff88003c06c5f0
Call Trace:
 [<ffffffff811f8ef0>] cfq_get_queue+0x32c/0x49a
 [<ffffffff811f93a4>] cfq_set_request+0x2c7/0x427
 [<ffffffff811e4a02>] elv_set_request+0x16/0x27
 [<ffffffff811ebbf8>] get_request+0x1e8/0x2b2
 [<ffffffff811ebcef>] get_request_wait+0x2d/0x17c
 [<ffffffff8134fc95>] ? __split_and_process_bio+0x517/0x529
 [<ffffffff8134ebc5>] ? dm_get_live_table+0x3f/0x4a
 [<ffffffff811ec121>] __make_request+0x2e3/0x40c
 [<ffffffff811ea88f>] generic_make_request+0x2c8/0x321
 [<ffffffff8112480c>] ? bio_add_page+0x31/0x33
 [<ffffffff811ea9b5>] submit_bio+0xcd/0xea
 [<ffffffff8112804b>] mpage_bio_submit+0x22/0x26
 [<ffffffff811287be>] mpage_readpages+0xeb/0xff
 [<ffffffff8115d809>] ? ext3_get_block+0x0/0xf3
 [<ffffffff8115d809>] ? ext3_get_block+0x0/0xf3
 [<ffffffff8115b8fe>] ext3_readpages+0x18/0x1a
 [<ffffffff810c8d6a>] __do_page_cache_readahead+0xfe/0x171
 [<ffffffff810c8df9>] ra_submit+0x1c/0x20
 [<ffffffff810c916f>] ondemand_readahead+0x189/0x19c
 [<ffffffff810c9256>] page_cache_sync_readahead+0x38/0x3a
 [<ffffffff810c251d>] generic_file_aio_read+0x22a/0x53d
 [<ffffffff8110166d>] do_sync_read+0xbf/0xfc
 [<ffffffff811688d9>] ? brelse+0xe/0x10
 [<ffffffff8116ad63>] ? ext3_xattr_security_get+0x25/0x27
 [<ffffffff811197ee>] ? generic_getxattr+0x5a/0x5e
 [<ffffffff811bdff7>] ? security_file_permission+0x11/0x13
 [<ffffffff81101cac>] vfs_read+0xa6/0x103
 [<ffffffff81106f6a>] kernel_read+0x3c/0x4c
 [<ffffffff81107060>] prepare_binprm+0xe6/0xea
 [<ffffffff81107935>] do_execve+0x14b/0x2b2
 [<ffffffff81010bd5>] sys_execve+0x3e/0x55
 [<ffffffff81009f5a>] stub_execve+0x6a/0xc0
Code: 48 89 de 4c 89 f7 41 ff 14 24 49 83 c4 08 49 83 3c 24 00 eb db 48 83 c4 18 48 89 d8 5b 41 5c 41 5d 41 5e 41 5f c9 c3 41 8b 40 14 <48> 8b 04 c3 49 89 00 e9 74 ff ff ff 55 48 89 e5 41 57 41 56 41 
RIP  [<ffffffff810f5aca>] kmem_cache_alloc_node+0x121/0x12d
 RSP <ffff88003e7a5628>
CR2: ffff8e903767c630
---[ end trace 412bed8bc7e7ca6a ]---


Version-Release number of selected component (if applicable):

# uname -r
2.6.33.5-124.fc13.x86_64


How reproducible:

Unfortunately not very, otherwise I would still be debugging it.

Steps to Reproduce:
1. Well I was playing with a virt guest through kvm
2. I even stopped it and used qemu monitor on it
3. Then when I shut it down I got the error.

I also got more bugs when shutting down the machine.

  
Actual results:
Kernel bug.


Expected results:
No kernel bug.

Additional info:
I can try to reproduce it again but so far no luck. It may just be some
strange race.

The box is an Intel development box, but this looks like a software bug.
Perhaps just looking at the code may bring it out.
Comment 1 Bug Zapper 2011-06-01 10:25:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 09:49:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.